For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • POSTAsk a question about a detection
      • GETGet answer to a detection question
Status
LogoLogo
API ReferenceDetect Intelligence

Ask a question about a detection

POST
https://app.resemble.ai/api/v2/detects/:uuid/intelligence
POST
/api/v2/detects/:uuid/intelligence
$curl -X POST https://app.resemble.ai/api/v2/detects/uuid/intelligence \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "query": "string"
>}'
1{
2 "success": true,
3 "item": {
4 "uuid": "string",
5 "detect_uuid": "string",
6 "query": "string",
7 "answer": "string",
8 "status": "pending",
9 "error_message": "string",
10 "created_at": "2024-01-15T09:30:00Z",
11 "updated_at": "2024-01-15T09:30:00Z"
12 }
13}

Submit a natural-language question about a completed detection report. Returns 202 Accepted while the answer is generated in the background.

Was this page helpful?
Previous

Get answer to a detection question

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Path parameters

uuidstringRequired
UUID of the completed detection report

Request

This endpoint expects an object.
querystringRequired

The natural-language question to ask about the detection

Response

Question accepted
successboolean
itemobject

Errors

400
Bad Request Error
404
Not Found Error
422
Unprocessable Entity Error